Schema "fpml-standard-5-5.xsd"
Target Namespace:

  http://www.fpml.org/FpML-5/reporting

Version:

  $Revision: 7614 $

Defined Components:

  1 global element, 2 local elements, 1 complexType

Default Namespace-Qualified Form:

  Local Elements: qualified; Local Attributes: unqualified

Schema Location:

  C:\Users\mkoli\FpML Specifications\trunk\xml\reporting\fpml-standard-5-5.xsd; see XML source

Includes Schemas (2):

  fpml-asset-5-5.xsd [src], fpml-shared-5-5.xsd [src]

Included in Schema:

  fpml-main-5-5.xsd [src]

Annotation
Standard products - for use in Transparency reporting to define a product that represents a standardized OTC derivative transaction whose economics do not need to be fully described using an FpML schema because they are implied by the product ID. In other views, standard products are present for convenience to support internal messaging and workflows that are cross-product. Standard products are not full trade representations as such they are not intended to be used for confirming trades.

All Element Summary
notional (in standardProduct) | The notional amount that was traded.
Type: | CashflowNotional
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin StandardProduct complexType; see XML source
quote (in standardProduct) | Pricing information for the trade.
Type: | BasicQuotation
Content: | complex, 1 attribute, 15 elements
Defined: | locally witnin StandardProduct complexType; see XML source
standardProduct | Standard products - for use in Transparency reporting to define a product that represents a standardized OTC derivative transaction whose economics do not need to be fully described using an FpML schema because they are implied by the product ID.
Type: | StandardProduct
Content: | complex, 1 attribute, 8 elements
Subst.Gr: | may substitute for element product
Defined: | globally; see XML source
Used: | never

Complex Type Summary
StandardProduct | Simple product representation providing key information about a variety of different products.
Content: | complex, 1 attribute, 8 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

XML Source

<?xml version="1.0" encoding="utf-8"?> <!-- == Copyright (c) 2002-2013 All rights reserved. == Financial Products Markup Language is subject to the FpML public license. == A copy of this license is available at http://www.fpml.org/license/license.html --> <xsd:schema attributeFormDefault="unqualified" ecore:documentRoot="FpML" ecore:nsPrefix="rpt" ecore:package="org.fpml.reporting" elementFormDefault="qualified" targetNamespace="http://www.fpml.org/FpML-5/reporting" version="$Revision: 7614 $" xmlns="http://www.fpml.org/FpML-5/reporting" xmlns:dsig="http://www.w3.org/2000/09/xmldsig#" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:fpml-annotation="http://www.fpml.org/annotation" xmlns:xsd="http://www.w3.org/2001/XMLSchema"> <xsd:annotation> <xsd:documentation xml:lang="en"> Standard products - for use in Transparency reporting to define a product that represents a standardized OTC derivative transaction whose economics do not need to be fully described using an FpML schema because they are implied by the product ID. In other views, standard products are present for convenience to support internal messaging and workflows that are cross-product. Standard products are not full trade representations as such they are not intended to be used for confirming trades. </xsd:documentation> </xsd:annotation> <xsd:include schemaLocation="fpml-shared-5-5.xsd"/> <xsd:include schemaLocation="fpml-asset-5-5.xsd"/> <!--================================== Standardized Product elements and types ===============================--> <xsd:complexType name="StandardProduct"> <xsd:annotation> <xsd:documentation xml:lang="en"> Simple product representation providing key information about a variety of different products. Standard products - for use in Transparency reporting to define a product that represents a standardized OTC derivative transaction whose economics do not need to be fully described using an FpML schema because they are implied by the product ID. In other views, standard products are present for convenience to support internal messaging and workflows that are cross-product. Standard products are not full trade representations as such they are not intended to be used for confirming trades. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Product"> <xsd:sequence> <!-- <xsd:element name="effectiveDate" type="AdjustableDate2"> <xsd:annotation> <xsd:documentation xml:lang="en">The starting date of the transaction.</xsd:documentation> </xsd:annotation> </xsd:element> --> <xsd:element minOccurs="0" name="notional" type="CashflowNotional"> <xsd:annotation> <xsd:documentation xml:lang="en">The notional amount that was traded.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="quote" type="BasicQuotation"> <xsd:annotation> <xsd:documentation xml:lang="en">Pricing information for the trade.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:element name="standardProduct" substitutionGroup="product" type="StandardProduct"> <xsd:annotation> <xsd:documentation xml:lang="en"> Standard products - for use in Transparency reporting to define a product that represents a standardized OTC derivative transaction whose economics do not need to be fully described using an FpML schema because they are implied by the product ID. In other views, standard products are present for convenience to support internal messaging and workflows that are cross-product. Standard products are not full trade representations as such they are not intended to be used for confirming trades. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:schema>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.